package com.steerinfo.baseinfo.meterbasecar.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class MeterBaseCar implements IBasePO<String> {
    /**
     * 主键编号（YYYYMMDD+4位流水）(PK_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="主键编号（YYYYMMDD+4位流水）",required=true)
    private String pkNo;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=true)
    private String carNo;

    /**
     * 挂号(MNEMONIC_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="挂号",required=false)
    private String mnemonicCode;

    /**
     * 客商编号(CUSTOMER_SUPPLIER_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="客商编号",required=false)
    private String customerSupplierNo;

    /**
     * 客商名称(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="客商名称",required=false)
    private String customerSupplierName;

    /**
     * 车辆类型编号(CAR_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车辆类型编号",required=false)
    private String carTypeNo;

    /**
     * 车辆类型名称(CAR_TYPE_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="车辆类型名称",required=false)
    private String carTypeName;

    /**
     * 车辆载重(CAR_CARRIER_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="车辆载重",required=false)
    private BigDecimal carCarrierWeight;

    /**
     * 车辆自重(CAR_SELF_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="车辆自重",required=false)
    private BigDecimal carSelfWeight;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态（0：服役；1:停役）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：服役；1:停役）",required=true)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * SSO用户ID(SSO_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="SSO用户ID",required=false)
    private String ssoId;

    /**
     * 车型(VEHICLE_TYPE,VARCHAR,30)
     */
    @ApiModelProperty(value="车型",required=false)
    private String vehicleType;

    /**
     * 归属单位类型编码(BELONG_UNIT_TYPE_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="归属单位类型编码",required=false)
    private String belongUnitTypeNo;

    /**
     * 归属单位类型名称(BELONG_UNIT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="归属单位类型名称",required=false)
    private String belongUnitTypeName;

    /**
     * 使用部门名称(USET_DEPARTMENT,VARCHAR,255)
     */
    @ApiModelProperty(value="使用部门名称",required=false)
    private String usetDepartment;

    /**
     * 车辆识别号(VEHICLE_IDENTIFY_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="车辆识别号",required=false)
    private String vehicleIdentifyNo;

    /**
     * 备案部门(FILLING_DEPARTMENT,VARCHAR,30)
     */
    @ApiModelProperty(value="备案部门",required=false)
    private String fillingDepartment;

    /**
     * 备案人(FILLING_USER,VARCHAR,30)
     */
    @ApiModelProperty(value="备案人",required=false)
    private String fillingUser;

    /**
     * 是否交强险（0：已交 1：未交）(IS_INSURANCE,VARCHAR,1)
     */
    @ApiModelProperty(value="是否交强险（0：已交 1：未交）",required=false)
    private String isInsurance;

    /**
     * 其他保险项(OTHER_INSURANCE,VARCHAR,30)
     */
    @ApiModelProperty(value="其他保险项",required=false)
    private String otherInsurance;

    /**
     * 是否特殊单位（0：非特殊  1：特殊）(IS_SPECIALUNIT,VARCHAR,1)
     */
    @ApiModelProperty(value="是否特殊单位（0：非特殊  1：特殊）",required=false)
    private String isSpecialunit;

    /**
     * 使用部门编号(USET_DEPARTMENT_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="使用部门编号",required=false)
    private String usetDepartmentNo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.pkNo;
    }

    @Override
    public void setId(String pkNo) {
        this.pkNo = pkNo == null ? null : pkNo.trim();
    }

    public String getPkNo() {
        return pkNo;
    }

    public void setPkNo(String pkNo) {
        this.pkNo = pkNo == null ? null : pkNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getMnemonicCode() {
        return mnemonicCode;
    }

    public void setMnemonicCode(String mnemonicCode) {
        this.mnemonicCode = mnemonicCode == null ? null : mnemonicCode.trim();
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getCarTypeNo() {
        return carTypeNo;
    }

    public void setCarTypeNo(String carTypeNo) {
        this.carTypeNo = carTypeNo == null ? null : carTypeNo.trim();
    }

    public String getCarTypeName() {
        return carTypeName;
    }

    public void setCarTypeName(String carTypeName) {
        this.carTypeName = carTypeName == null ? null : carTypeName.trim();
    }

    public BigDecimal getCarCarrierWeight() {
        return carCarrierWeight;
    }

    public void setCarCarrierWeight(BigDecimal carCarrierWeight) {
        this.carCarrierWeight = carCarrierWeight;
    }

    public BigDecimal getCarSelfWeight() {
        return carSelfWeight;
    }

    public void setCarSelfWeight(BigDecimal carSelfWeight) {
        this.carSelfWeight = carSelfWeight;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getSsoId() {
        return ssoId;
    }

    public void setSsoId(String ssoId) {
        this.ssoId = ssoId == null ? null : ssoId.trim();
    }

    public String getVehicleType() {
        return vehicleType;
    }

    public void setVehicleType(String vehicleType) {
        this.vehicleType = vehicleType == null ? null : vehicleType.trim();
    }

    public String getBelongUnitTypeNo() {
        return belongUnitTypeNo;
    }

    public void setBelongUnitTypeNo(String belongUnitTypeNo) {
        this.belongUnitTypeNo = belongUnitTypeNo == null ? null : belongUnitTypeNo.trim();
    }

    public String getBelongUnitTypeName() {
        return belongUnitTypeName;
    }

    public void setBelongUnitTypeName(String belongUnitTypeName) {
        this.belongUnitTypeName = belongUnitTypeName == null ? null : belongUnitTypeName.trim();
    }

    public String getUsetDepartment() {
        return usetDepartment;
    }

    public void setUsetDepartment(String usetDepartment) {
        this.usetDepartment = usetDepartment == null ? null : usetDepartment.trim();
    }

    public String getVehicleIdentifyNo() {
        return vehicleIdentifyNo;
    }

    public void setVehicleIdentifyNo(String vehicleIdentifyNo) {
        this.vehicleIdentifyNo = vehicleIdentifyNo == null ? null : vehicleIdentifyNo.trim();
    }

    public String getFillingDepartment() {
        return fillingDepartment;
    }

    public void setFillingDepartment(String fillingDepartment) {
        this.fillingDepartment = fillingDepartment == null ? null : fillingDepartment.trim();
    }

    public String getFillingUser() {
        return fillingUser;
    }

    public void setFillingUser(String fillingUser) {
        this.fillingUser = fillingUser == null ? null : fillingUser.trim();
    }

    public String getIsInsurance() {
        return isInsurance;
    }

    public void setIsInsurance(String isInsurance) {
        this.isInsurance = isInsurance == null ? null : isInsurance.trim();
    }

    public String getOtherInsurance() {
        return otherInsurance;
    }

    public void setOtherInsurance(String otherInsurance) {
        this.otherInsurance = otherInsurance == null ? null : otherInsurance.trim();
    }

    public String getIsSpecialunit() {
        return isSpecialunit;
    }

    public void setIsSpecialunit(String isSpecialunit) {
        this.isSpecialunit = isSpecialunit == null ? null : isSpecialunit.trim();
    }

    public String getUsetDepartmentNo() {
        return usetDepartmentNo;
    }

    public void setUsetDepartmentNo(String usetDepartmentNo) {
        this.usetDepartmentNo = usetDepartmentNo == null ? null : usetDepartmentNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", pkNo=").append(pkNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", mnemonicCode=").append(mnemonicCode);
        sb.append(", customerSupplierNo=").append(customerSupplierNo);
        sb.append(", customerSupplierName=").append(customerSupplierName);
        sb.append(", carTypeNo=").append(carTypeNo);
        sb.append(", carTypeName=").append(carTypeName);
        sb.append(", carCarrierWeight=").append(carCarrierWeight);
        sb.append(", carSelfWeight=").append(carSelfWeight);
        sb.append(", memo=").append(memo);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", ssoId=").append(ssoId);
        sb.append(", vehicleType=").append(vehicleType);
        sb.append(", belongUnitTypeNo=").append(belongUnitTypeNo);
        sb.append(", belongUnitTypeName=").append(belongUnitTypeName);
        sb.append(", usetDepartment=").append(usetDepartment);
        sb.append(", vehicleIdentifyNo=").append(vehicleIdentifyNo);
        sb.append(", fillingDepartment=").append(fillingDepartment);
        sb.append(", fillingUser=").append(fillingUser);
        sb.append(", isInsurance=").append(isInsurance);
        sb.append(", otherInsurance=").append(otherInsurance);
        sb.append(", isSpecialunit=").append(isSpecialunit);
        sb.append(", usetDepartmentNo=").append(usetDepartmentNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}